<?php
/**
 * @package     Joomla.Site
 * @subpackage  Aquilo Template
 */

defined('_JEXEC') or die;



//Enable bootstrap framework !only for joomla 3.x
$bootstrap_on = $this->params->get('bootstrap_on');

if($bootstrap_on == 1){
JHtml::_('bootstrap.framework');
}
else {
JHtml::_('behavior.framework', true);	
}






$app = JFactory::getApplication();
$doc = JFactory::getDocument();




//define path
$base_url = $this->baseurl;
$tpl_name = $this->template;
$styles_url = ''.$base_url.'/templates/'.$tpl_name.'/styles/';
$scripts_url = ''.$base_url.'/templates/'.$tpl_name.'/scripts/';
$framework = 'templates/'.$tpl_name.'/framework/';





//load template parameters
$custom_favicon = $this->params->get('custom_favicon'); 
$responsive_design = $this->params->get('responsive_design');
$predefined_style = $this->params->get('predefined_style');
$prettyphoto_on = $this->params->get('prettyphoto_on'); 
$jquery_noconflict = $this->params->get('jquery_noconflict');
$jquery_on = $this->params->get('jquery_on');
$jquery_version = $this->params->get('jquery_version'); 





//add styles
$doc->addStyleSheet($styles_url.'common-css/grid/reset.css');
$doc->addStyleSheet($styles_url.'common-css/grid/text.css');

//check if responsive design is true
if($responsive_design == 1){
$doc->addStyleSheet($styles_url.'common-css/grid/grid-fluid.css'); 
}
else {
$doc->addStyleSheet($styles_url.'common-css/grid/grid-fixed.css'); 
}

$doc->addStyleSheet($styles_url.'common-css/menu/superfish.css');
$doc->addStyleSheet($styles_url.'common-css/common-style.css');
$doc->addStyleSheet($styles_url.'common-css/typography.css');
$doc->addStyleSheet($styles_url.''.$predefined_style.'/style.css');


/*
//RTL language support
if($this->direction == 'rtl'){ 
$doc->addStyleSheet($styles_url.'common-css/grid/rtl/reset.css');
$doc->addStyleSheet($styles_url.'common-css/grid/rtl/text.css');

//check if responsive design is true
if($responsive_design == 1){
$doc->addStyleSheet($styles_url.'common-css/grid/rtl/grid-fluid.css');	
}
else{
$doc->addStyleSheet($styles_url.'common-css/grid/rtl/grid-fixed.css');
}

$doc->addStyleSheet($styles_url.'common-css/rtl/common-style.css');
}
*/





//load jQuery
if($jquery_on==1) {
	$doc->addScript('https://ajax.googleapis.com/ajax/libs/jquery/'.$jquery_version.'/jquery.min.js');	
}




//jQuery noConflict script
if($jquery_noconflict==1) {
	$doc->addScript($scripts_url.'noconflict.js');	
}




//menu scripts
$doc->addScript($scripts_url.'menu/hoverIntent.js');
$doc->addScript($scripts_url.'menu/superfish.js');
//$doc->addScript($scripts_url.'menu/supersubs.js'); 




//prettyPhoto script
if($prettyphoto_on == 1){
$doc->addStyleSheet($scripts_url.'prettyPhoto/css/prettyPhoto.css');
$doc->addScript($scripts_url.'prettyPhoto/jquery.prettyPhoto.js');		
}




//check if responsive design is true if yes load mobilemenu script
if($responsive_design == 1){
$doc->addScript($scripts_url.'jquery.mobilemenu.js'); 
}
$doc->addScript($scripts_url.'scripts.js');






//add styledeclaration and font files
include ($framework.'style-declaration.php');
include ($framework.'fonts.php');
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
		
<jdoc:include type="head" />
<meta name="viewport" content="width=device-width; initial-scale=1.0">
<!--[if lt IE 8]>
    <link type="text/css"  media="screen" rel="stylesheet" href="<?php echo $styles_url; ?>common-css/ie8.css"/>
<![endif]-->
<!--[if IE 7]>
<link type="text/css"  media="screen" rel="stylesheet" href="<?php echo $styles_url; ?>common-css/ie7.css"/>
<![endif]-->
<!--[if lte IE 8]>
<script src="<?php echo $scripts_url; ?>ie-html5.js"></script>
<![endif]-->

<?php if ($custom_favicon !='') { ?>
<link rel="icon" type="image" href="<?php echo $base_url; ?>/<?php echo $custom_favicon; ?>" />
<?php } ?>



<?php 
//check if responsive design is true
if($responsive_design == 1){?>
<script type="text/javascript">
var ADAPT_CONFIG = {
path: '<?php echo $styles_url; ?>common-css/',
dynamic: true,
range: ['0 to 480px  = mobile.css','480px to 760px  = tablet.css']
};
</script>
<script type="text/javascript" src="<?php echo $scripts_url; ?>adapt.js"></script>
<?php
}
?>
</head>