<?php
/**
 * @package     Joomla.Site
 * @subpackage  Aquilo Template
 */


defined('_JEXEC') or die;



/*-----------------------------------------------------------------------------------*/
/*	Load parameters
/*-----------------------------------------------------------------------------------*/
//general parameters
$logo_type = $this->params->get('logo_type');
$logo_image = $this->params->get('logo_image');
$logo_image_width = $this->params->get('logo_image_width');
$logo_image_height = $this->params->get('logo_image_height');
$logo_margin = $this->params->get('logo_margin');

//style parameters
$color_custom_style	= $this->params->get('color_custom_style');
$color_text	= $this->params->get('color_text');
$color_headings	= $this->params->get('color_headings');	
$color_links = $this->params->get('color_links');
$color_links_hover = $this->params->get('color_links_hover');
$custom_css	= $this->params->get('custom_css');

$body_bg_color = $this->params->get('body_bg_color');
$body_bg_image = $this->params->get('body_bg_image');
$body_bg_repeat = $this->params->get('body_bg_repeat');
$body_bg_position = $this->params->get('body_bg_position');
$body_bg_attachment = $this->params->get('body_bg_attachment');

$page_hediang_color_text = $this->params->get('page_hediang_color_text');
$page_hediang_color_headings = $this->params->get('page_hediang_color_headings');	
$page_hediang_color_links = $this->params->get('page_hediang_color_links');
$page_hediang_color_links_hover = $this->params->get('page_hediang_color_links_hover');
$page_heading_bg_color = $this->params->get('page_heading_bg_color');
$page_heading_bg_image = $this->params->get('page_heading_bg_image');
$page_heading_bg_repeat = $this->params->get('page_heading_bg_repeat');
$page_heading_bg_position = $this->params->get('page_heading_bg_position');
$page_heading_color = $this->params->get('page_heading_color');

//menu parameters
$nav_margin_top = $this->params->get('nav_margin_top');

//page container
$page_width = $this->params->get('page_width');
$page_align = $this->params->get('page_align');






/*-----------------------------------------------------------------------------------*/
/*	Layout parameters
/*-----------------------------------------------------------------------------------*/
if($page_align =='left'){
	$align_value = 'float:left;margin:0;';
}
elseif($page_align =='right'){
	$align_value = 'float:right;margin:0;';
}
else {
	$align_value = 'margin:0 auto;';	
}

//page container
$doc->addStyleDeclaration('.container{width:'.$page_width.';'.$align_value.'}'); 


//menu
$doc->addStyleDeclaration('#navigation {margin-top:'.$nav_margin_top.';}'); 



 
  
 
/*-----------------------------------------------------------------------------------*/
/*	Logo
/*-----------------------------------------------------------------------------------*/
if($logo_type =='text'){
	$doc->addStyleDeclaration('#logo-text{margin:'.$logo_margin.';}'); 
}
elseif($logo_type =='image'){
	$doc->addStyleDeclaration('#logo-image a{background:url('.$base_url.'/'.$logo_image.') no-repeat left top;width:'.$logo_image_width.';height:'.$logo_image_height.';margin:'.$logo_margin.';}');
} 







/*-----------------------------------------------------------------------------------*/
/*	Custm color style
/*-----------------------------------------------------------------------------------*/
//colors
if($color_custom_style !=''){
	$doc->addStyleDeclaration('#logo-text a,#site-slogan,body a{color:'.$color_custom_style.'}');
}

//backgrounds
if($color_custom_style !=''){
	$doc->addStyleDeclaration('#navigation .sf-menu li:hover, 
#navigation .sf-menu li.sfHover,
#navigation .sf-menu li.sfHover a,
#navigation .sf-menu li#current a,
#navigation .sf-menu a:focus, 
#navigation .sf-menu a:hover, 
#navigation .sf-menu a:active,
#navigation .sf-menu li ul,
.menu1 li a:hover,
.menu1 li a:active,
.menu1 li a:focus,
.menu1 li a.active,
.button-big,
.button,
.btn,
button,
.readmore,
.button-small,
.latestItemReadMore a,
.catItemReadMore a,
.userItemReadMore a,
.tagItemReadMore a,
.genericItemReadMore a,
.drop1,
.highlight1,
#page-heading .container{background-color:'.$color_custom_style.'}');
}


//border colors
if($color_custom_style !=''){
	$doc->addStyleDeclaration('blockquote{border-color:'.$color_custom_style.'}');
}







/*-----------------------------------------------------------------------------------*/
/*	Text and headings colors
/*-----------------------------------------------------------------------------------*/
//global text color
if($color_text !='') {
	$doc->addStyleDeclaration('body, .inputbox, input, textarea{color:'.$color_text.';}');	
}


//page heading text color
if($page_hediang_color_text !='') {
	$doc->addStyleDeclaration('#page-heading .container, #page-heading .container .inputbox, #page-heading .container input, #page-heading .container textarea{color:'.$page_hediang_color_text.';}');	
}


//global headings color
if($color_headings !='') {
	$doc->addStyleDeclaration('h1,h2,h3,h4,h5,h6{color:'.$color_headings.';}');	
}


//page heading headings color
if($page_hediang_color_headings !='') {
	$doc->addStyleDeclaration('#page-heading .container h1,#page-heading .container h2,#page-heading .container h3,#page-heading .container h4,#page-heading .container h5,#page-heading .container h6{color:'.$page_hediang_color_headings.';}');	
}






/*-----------------------------------------------------------------------------------*/
/*	Links
/*-----------------------------------------------------------------------------------*/
//global links color
if($color_links !='') {
	$doc->addStyleDeclaration('body a{color:'.$color_links.';}');	
}
if($color_links_hover !='') {
	$doc->addStyleDeclaration('body a:hover,body a:active,body a:focus{color:'.$color_links_hover.';}');	
}


//page hedaing links color
if($page_hediang_color_links !='') {
	$doc->addStyleDeclaration('#page-heading .container a{color:'.$page_hediang_color_links.';}');	
}

if($page_hediang_color_links_hover !='') {
	$doc->addStyleDeclaration('#page-heading .container a:hover,#page-heading .container a:active,#page-heading .container a:focus{color:'.$page_hediang_color_links_hover.';}');
}






/*-----------------------------------------------------------------------------------*/
/*	Backgrounds
/*-----------------------------------------------------------------------------------*/
//body background color and image
if($body_bg_color !='') {
	$doc->addStyleDeclaration('body{background-color:'.$body_bg_color.';}');
}
if($body_bg_image !='') {
	$doc->addStyleDeclaration('body{background-image:url('.$base_url.'/'.$body_bg_image.');background-repeat:'.$body_bg_repeat.';background-position:'.$body_bg_position.';background-attachment:'.$body_bg_attachment.';}');	
}




//page heading background color and image
if($page_heading_bg_color !='') {
	$doc->addStyleDeclaration('#page-heading .container{background-color:'.$page_heading_bg_color.';}');
}

if($page_heading_bg_image !='') {
	$doc->addStyleDeclaration('#page-heading .container{background-image:url('.$base_url.'/'.$page_heading_bg_image.');background-repeat:'.$page_heading_bg_repeat.';background-position:'.$page_heading_bg_position.';}');
}






/*-----------------------------------------------------------------------------------*/
/*	Custom css
/*-----------------------------------------------------------------------------------*/
if($custom_css != ''){
	$doc->addStyleDeclaration($custom_css);
}